MODIFY EVENTS TEST

The Modify Events Test window allows you to change an existing test
configuration.

It includes the following fields.

Hostnames field

Use this field to specify which hosts will be configured for this test.
Leave a blank space  for multiple entries.

Testname field

Specify a test name. This must be the full path name of the file
(directory) or process that you want to monitor.

Units of Measure field

This field displays what the standard units of measure are for the
test.  Sub-command field

This field displays the events-defined sub-command if there is one that
the test uses during its execution.

Internal Test field

This field displays whether this test is an Events  built-in test or a
user-defined test.

Test Group field

This field displays the test group type for this test.

State option

Turn on or off the test.

Severity option

Specify the severity level to assign this test from the following
criteria: OK, Informational, Warning, Error, or Severe

Use PEP option

Specify wether this test should use PEP to report its results or filter
any action to be taken.

Logging option

Specify whether logging should be enabled for this test.

Delta option

If you enabled Logging, then you can use this field to established a
"changed by" value. Enlighten records the most recent value measured by
the test if that value differs by atleat this delta amount from the
previously logged value.

Mailer field

Specify which mail program should be used to deliver any alarms to the
user. The default is /bin/mail.  If you use another mail program, it
must be the same syntax as the standard UNIX mail program.

User field

You can specify the user(s) who should receive any alarm information.
The default is root. Leave a blank space between each user name for
multiple entries. If you set the value to nobody, no mail will be
sent.

Command field

Specify any executable this test should run when it sets an alarm. This
can be a script or a compiled executable.

Age field

This field specifies a threshold for when a file is considered to have
aged in a directory. This value is only available if this test will
monitor a queue.

Test Freq field

You can specify how often to run the test. The default is every five
minutes.

Alarm Freq field

Specify how long to wait before sending another new alarm about this
test. The default is every hour.

High Thresh field

Specify an absolute high level alarm set point for the data you're
measuring in the test. This can be an integer or floating-point value.

Low Thresh field

Specify an absolute low level alarm set point for the data you're
measuring in this test. This can be an integer or floating-point
value.

Pos Rate field

You can use this field to specify a positive percentage change alarm
set point for the data you're measuring in this test. This threshold
compares the test value with the last measured value (check for for
percentage of change since last tested). This must be a floating-point
value.

Neg Rate field

You can use this field to specify a negative  percentage change alarm
set point for the data you're measuring in this test. This threshold
compares the test value with the last measured value (check for for
percentage of change since last tested). This must be a floating-point
value.

Pos Jump field

Specify a positive incremental change alarm set point for the data
you're measuring in this test.This threshold compares the current test
value with the last measured value (check for change of X points since
last tested). This can be an integer or floating-point value.

Neg Jump field

Specify a negative incremental change alarm set point for the data
you're measuring in this test.This threshold compares the current test
value with the last measured value (check for change of X points since
last tested). This can be an integer or floating-point value.

API File field

If you're using an API test, use this field to specify the full
pathname of the file which will hold the results of your test.

API Data field

If you're creating an API test, use this field to specify which field
or column holds the data value to monitor. Use a digit prefaced by an
"f" for a field number or a "c" for a column number. The default
assumes this values is a field number. If you're using a column
designator, each character in any input file line/row is handled as one
column.

API Label field

If you're creating an API test, you can use this field to specify which
field in your file contains a descriptive word or label.

Logfile Clamping Regular Expressions

You can use regular expressions to define types of messages based upon
pattern matching. When one or more of these message types are found in
a file, an alarm is sent to whatever agents you specify in your test.
Each time this test is run, it only evaluates those file entries which
were added since the last occurrence of this test.









